﻿using System.Web.Mvc;
using System.Web.Routing;
using Nop.Web.Framework.Mvc.Routes;

namespace Nop.Plugin.Payments.TraknPay
{
    public partial class RouteProvider : IRouteProvider
    {
        public void RegisterRoutes(RouteCollection routes)
        {
            routes.MapRoute("Plugin.Payments.TraknPay.Configure",
                 "Plugins/PaymentTraknPay/Configure",
                 new { controller = "PaymentTraknPay", action = "Configure" },
                 new[] { "Nop.Plugin.Payments.TraknPay.Controllers" }
            );

            routes.MapRoute("Plugin.Payments.TraknPay.PaymentInfo",
                 "Plugins/PaymentTraknPay/PaymentInfo",
                 new { controller = "PaymentTraknPay", action = "PaymentInfo" },
                 new[] { "Nop.Plugin.Payments.TraknPay.Controllers" }
            );

            //Return
            routes.MapRoute("Plugin.Payments.TraknPay.Return",
                 "Plugins/PaymentTraknPay/Return",
                 new { controller = "PaymentTraknPay", action = "Return" },
                 new[] { "Nop.Plugin.Payments.TraknPay.Controllers" }
            );
        }
        public int Priority
        {
            get
            {
                return 0;
            }
        }
    }
}
